#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
     long long int v, d, k, bkj=0, x;
     scanf("%lli", &v);

     for(k=20;k>=0;k--)
      {
        for(d=5;d>0;d--)
         {  if(d==5 || d==2 || d==1)
             {
                x=v/(d*pow(10,k));
                v=v-(x*d*pow(10,k));
                bkj=bkj+x;
             }


         }
       }
     printf("%lli", bkj);
}